## kdevelop-trinity 3.5.13.2

=== lib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( util )
add_subdirectory( interfaces )
add_subdirectory( widgets )
add_subdirectory( antlr )
add_subdirectory( catalog )
add_subdirectory( cppparser )
add_subdirectory( astyle )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kdevelop (shared) #########################

tde_add_library( kdevelop SHARED
  SOURCES dummy.cpp
  VERSION 1.0.0
  EMBED kdevutil-static kdevinterfaces-static
  LINK
    kdevpropertyeditor-shared
    kscript-shared kparts-shared ktexteditor-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== buildtools/ant/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevantproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevantproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevantproject )


##### libkdevantproject (module) ################

tde_add_kpart( libkdevantproject AUTOMOC
  SOURCES
    antprojectpart.cpp antoptionswidget.ui classpathwidget.ui
  LINK kdevbuildbase-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== buildtools/autotools/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/buildtools/lib/parsers/autotools
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevautoproject.desktop kdevkdeautoproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevautoproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevautoproject )


##### libkdevautoproject (module) ###############

tde_add_kpart( libkdevautoproject AUTOMOC
  SOURCES
    autoprojectpart.cpp autoprojectwidget.cpp
    configureoptionswidget.cpp configureoptionswidgetbase.ui
    subprojectoptionsdlg.cpp subprojectoptionsdlgbase.ui
    targetoptionsdlg.cpp targetoptionsdlgbase.ui
    addservicedlg.cpp addservicedlgbase.ui
    addapplicationdlg.cpp addapplicationdlgbase.ui
    addtargetdlg.cpp addtargetdlgbase.ui addsubprojectdlg.cpp
    addfiledlgbase.ui addfiledlg.cpp removefiledlgbase.ui
    removefiledlg.cpp addicondlgbase.ui addicondlg.cpp
    addtranslationdlg.cpp addprefixdlg.cpp
    kfilednddetailview.cpp kfiledndiconview.cpp
    fileselectorwidget.cpp misc.cpp addsubprojectdlgbase.ui
    removetargetdlg.cpp removetargetdlgbase.ui
    choosetargetdialog.cpp choosetargetdlgbase.ui
    addexistingdlgbase.ui addexistingfilesdlg.cpp
    addexistingdirectoriesdlg.cpp kimporticonview.cpp
    autosubprojectview.cpp autodetailsview.cpp
    autolistviewitems.cpp managecustomcommandsbase.ui
    managecustomcommand.cpp autoprojectviewbase.ui
    autotoolsaction.cpp makefilehandler.cpp
  LINK kdevautotoolsparser-static kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== buildtools/pascal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets/
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extras
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpascalproject.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpascalproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpascalproject )


##### libkdevpascalproject (module) #############

tde_add_kpart( libkdevpascalproject AUTOMOC
  SOURCES
    pascalproject_part.cpp pascalproject_widget.cpp
    pascalproject_optionsdlgbase.ui pascalprojectoptionsdlg.cpp
    pascalglobaloptionsdlg.cpp service.cpp
  LINK kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== doc/extras/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Slavek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( w3c )

install(
  FILES
    sdl.toc opengl.toc
  DESTINATION ${DATA_INSTALL_DIR}/kdevdocumentation/tocs
)

=== kdevdesigner/designer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DDESIGNER -UQT_NO_ASCII_CAST )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kdevdesigner/shared
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kdevdesigner_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    kdevdesigner_part.rc kdevdesigner_part_sh.rc
  DESTINATION ${DATA_INSTALL_DIR}/kdevdesignerpart )

add_subdirectory( pics )


##### libkdevdesignerpart (module) ##############

set( SRCS
  about.ui dbconnection.ui gotolinedialog.ui
  newform.ui actionlistview.cpp asciivalidator.cpp
  command.cpp connectionitems.cpp connectiontable.cpp
  customwidgeteditor.ui formsettings.ui
  multilineeditor.ui customwidgeteditorimpl.cpp
  database.cpp dbconnectioneditor.ui iconvieweditor.ui
  paletteeditor.ui dbconnectionimpl.cpp dbconnectionsimpl.cpp
  dbconnections.ui listboxeditor.ui paletteeditoradvanced.ui
  defs.cpp designerapp.cpp designerappiface.cpp
  editfunctionsimpl.cpp filechooser.cpp formfile.cpp
  formsettingsimpl.cpp formwindow.cpp hierarchyview.cpp
  iconvieweditorimpl.cpp layout.cpp listboxdnd.cpp
  kdevdesigner_part.cpp actiondnd.cpp actioneditorimpl.cpp
  listboxeditorimpl.cpp listboxrename.cpp listdnd.cpp
  listeditor.ui pixmapcollectioneditor.ui listviewdnd.cpp
  listvieweditorimpl.cpp mainwindow.cpp listvieweditor.ui
  pixmapfunction.ui startdialog.ui mainwindowactions.cpp
  menubareditor.cpp metadatabase.cpp multilineeditorimpl.cpp
  newformimpl.cpp orderindicator.cpp myiconloader.cpp
  outputwindow.cpp paletteeditoradvancedimpl.cpp
  paletteeditorimpl.cpp pixmapchooser.cpp
  pixmapcollection.cpp popupmenueditor.cpp previewframe.cpp
  preferences.ui tableeditor.ui designeraction.cpp
  previewwidget.ui variabledialog.ui actioneditor.ui
  previewwidgetimpl.cpp project.cpp projectsettingsimpl.cpp
  projectsettings.ui wizardeditor.ui configtoolboxdialog.ui
  propertyeditor.cpp propertyobject.cpp qcompletionedit.cpp
  replacedialog.ui connectiondialog.ui editfunctions.ui
  resource.cpp sizehandle.cpp sourceeditor.cpp
  richtextfontdialog.ui createtemplate.ui finddialog.ui
  sourcefile.cpp startdialogimpl.cpp styledbutton.cpp
  syntaxhighlighter_html.cpp tableeditorimpl.cpp
  timestamp.cpp variabledialogimpl.cpp widgetaction.cpp
  widgetfactory.cpp wizardeditorimpl.cpp workspace.cpp
)

tde_moc( SRCS
  actiondnd.h actioneditorimpl.h actionlistview.h
  asciivalidator.h command.h connectionitems.h
  connectiontable.h customwidgeteditorimpl.h database.h
  dbconnectionimpl.h dbconnectionsimpl.h editfunctionsimpl.h
  filechooser.h formfile.h formsettingsimpl.h
  formwindow.h hierarchyview.h iconvieweditorimpl.h
  layout.h listboxdnd.h listboxeditorimpl.h listboxrename.h
  listdnd.h listviewdnd.h listvieweditorimpl.h mainwindow.h
  menubareditor.h multilineeditorimpl.h newformimpl.h
  orderindicator.h outputwindow.h paletteeditoradvancedimpl.h
  paletteeditorimpl.h pixmapchooser.h popupmenueditor.h
  previewframe.h previewwidgetimpl.h project.h
  projectsettingsimpl.h propertyeditor.h qcompletionedit.h
  sizehandle.h sourceeditor.h sourcefile.h startdialogimpl.h
  styledbutton.h tableeditorimpl.h timestamp.h
  variabledialogimpl.h widgetaction.h widgetfactory.h
  wizardeditorimpl.h workspace.h
 )


tde_add_kpart( libkdevdesignerpart AUTOMOC
  SOURCES ${SRCS}
  LINK
    kdevqui-static shared-static kinterfacedesigner-shared
    kio-shared kparts-shared qassistantclient
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/ada/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevadasupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevadasupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevadasupport )


##### libkdevadasupport (module) ################

tde_add_kpart( libkdevadasupport AUTOMOC
  SOURCES
    adasupportpart.cpp problemreporter.cpp backgroundparser.cpp
    addclassdlg.ui addclass.cpp configproblemreporter.ui
    ada_utils.cpp adasupport.cpp AdaLexer.cpp AdaParser.cpp
    AdaTreeParserSuper.cpp AdaStoreWalker.cpp
  LINK antlr-static kdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/pascal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( file_templates )
add_subdirectory( app_templates )
add_subdirectory( compiler )
add_subdirectory( doc )

# FIXME KDE_CXXFLAGS = $(USE_EXCEPTIONS)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/antlr
  ${CMAKE_SOURCE_DIR}/lib/catalog
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpascalsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpascalsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpascalsupport )
install( FILES pascaltemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )


##### libkdevpascalsupport (module) #############

tde_add_kpart( libkdevpascalsupport AUTOMOC
  SOURCES
    pascalsupport_part.cpp PascalLexer.cpp PascalParser.cpp
    PascalStoreWalker.cpp backgroundparser.cpp
    configproblemreporter.ui problemreporter.cpp
  LINK antlr-static kdevcatalog-shared kdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== languages/python/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/languages/lib/designer_integration
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevpythonsupport.desktop pydoc.protocol DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kde_pydoc.py DESTINATION ${DATA_INSTALL_DIR}/kio_pydoc )
install( FILES kdevpythonsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport )


##### libkdevpythonsupport (module) #############

tde_add_kpart( libkdevpythonsupport AUTOMOC
  SOURCES
    pythonsupportpart.cpp pythonconfigwidget.cpp
    pythonconfigwidgetbase.ui pythonimplementationwidget.cpp
    qtdesignerpythonintegration.cpp
  LINK designerintegration-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kio_pydoc (module) ########################

tde_add_kpart( kio_pydoc
  SOURCES pydoc.cpp
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== lib/cppparser/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions( -DKDEVELOP_BGPARSER )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    ast.h driver.h lexer.h parser.h tree_parser.h errors.h
    lookup.h cachemanager.h lexercache.h macro.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/cppparser )


##### kdevcppparser (shared) ####################

tde_add_library( kdevcppparser SHARED AUTOMOC
  SOURCES
    ast.cpp cachemanager.cpp driver.cpp errors.cpp lexer.cpp
    lexercache.cpp lookup.cpp parser.cpp tree_parser.cpp
  VERSION 0.0.0
  LINK kdevinterfaces-static kio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== lib/interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( extensions )
add_subdirectory( external )
add_subdirectory( extras )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/cppparser
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    kdevlanguagesupport.h kdevmainwindow.h kdevpartcontroller.h
    kdevplugin.h kdevproject.h kdevcore.h kdevcoderepository.h
    codemodel.h codemodel_utils.h codemodel_treeparser.h
    kdevgenericfactory.h kdevapi.h kdevdesignerintegration.h
    kdevplugincontroller.h kdevplugininfo.h KDevCoreIface.h
    KDevPartControllerIface.h katedocumentmanagerinterface.h
    hashedstring.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/interfaces )

install( FILES
    kdevelopproject.desktop kdeveloplanguagesupport.desktop
    kdevelopplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


##### kdevinterfaces (static) ###################

tde_add_library( kdevinterfaces STATIC_PIC AUTOMOC
  SOURCES
    kdevcore.cpp kdevproject.cpp kdevlanguagesupport.cpp
    kdevpartcontroller.cpp kdevapi.cpp KDevCoreIface.skel
    kdevmainwindow.cpp KDevPartControllerIface.skel
    kdevplugin.cpp kdevcoderepository.cpp
    codemodel.cpp codemodel_treeparser.cpp
    codemodel_utils.cpp kdevdesignerintegration.cpp
    kdevplugincontroller.cpp kdevplugininfo.cpp
    KDevCoreIface.cpp KDevPartControllerIface.cpp
    katedocumentmanagerinterface.cpp
    katedocumentmanagerinterface.skel kdevprojectiface.cpp
    kdevprojectiface.skel kdevdesignerintegrationiface.cpp
    kdevdesignerintegrationiface.skel hashedstring.cpp
)

=== lib/util/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### headers ###################################

install( FILES
    domutil.h execcommand.h filetemplate.h urlutil.h
    configwidgetproxy.h rurl.h kscriptactionmanager.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdevelop/util )


##### kdevutil (static) #########################

tde_add_library( kdevutil STATIC_PIC AUTOMOC
  SOURCES
    blockingkprocess.cpp configwidgetproxy.cpp
    domutil.cpp execcommand.cpp filetemplate.cpp
    kdeveditorutil.cpp kdevjobtimer.cpp
    kdevshellwidget.cpp kscriptactionmanager.cpp
    rurl.cpp settings.cpp urlutil.cpp
)

=== debian/changelog ===
kdevelop-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 04:28:36 +0200

kdevelop-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Repaired debugger widget dbgshell issue

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Sep 2009 17:52:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Repaired libtool problems

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Aug 2009 11:26:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 23:07:00 -0600

kdevelop-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 09:18:00 -0600

kdevelop (4:3.5.3-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Remove kubuntu_01_fix_missing_output.diff - applied upstream
    - Bump version of build-dep kdelibs4-dev and libcvsservice-dev to
      3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:54:26 -0400

kdevelop (4:3.5.1-0ubuntu2) hardy; urgency=low

  * Add kubuntu_01_fix_missing_output.diff from upstream,
    fixes "some lines in the build outputview disappear"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Mar 2008 00:03:04 +0000

kdevelop (4:3.5.1-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Upgrade build-deps to libdb4.6-dev, python2.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

kdevelop (4:3.5.0-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change: kubuntu_01_svn_724231_qmake.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:50 +0000

kdevelop (4:3.5.0-2) unstable; urgency=low

  * Apply patch for user interface lag on large projects.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 28 Oct 2007 22:46:07 +0100

kdevelop (4:3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Replace Build-Depends on automake1.9 by automake (>= 1:1.10)
  * Remove patches included upstream:
    + 09_fix_gdb_focus.diff
  * Update menu entry to use the Applications section

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 17 Oct 2007 08:01:52 +0200

kdevelop (4:3.5.0-0ubuntu3) hardy; urgency=low

  * Add kubuntu_02_user_interface_lag.diff
    Closes LP: #156654
    Upstream: http://websvn.kde.org/?view=rev&revision=728690

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Nov 2007 17:34:08 +0000

kdevelop (4:3.5.0-0ubuntu2) gutsy; urgency=low

  * Add kubuntu_01_svn_724231_qmake.diff as recommended by upstream to fix QMake

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Oct 2007 16:34:11 +0100

kdevelop (4:3.5.0-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:28 +0100

kdevelop (4:3.4.1-3ubuntu1) gutsy; urgency=low

  * Merge with Debian, remaining change: .pot patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Aug 2007 12:04:37 +0100

kdevelop (4:3.4.1-3) unstable; urgency=low

  * Make kdevelop binNMU safe using Michael Biebl's patch (Closes: #431360).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Jul 2007 07:12:32 +0200

kdevelop (4:3.4.1-2) unstable; urgency=low

  * Apply patch to prevent integrated debugger losing focus (Closes: #427949).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 28 Jun 2007 20:24:01 +0200

kdevelop (4:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update ltmain.sh in application templates (Closes: #351358).
  * Suggest kdebase-kio-plugins to view documentation (Closes: #412108).
  * Add Build-Depends on libsvn-dev to build KDevelop's SVN ioslave,
    drop Suggests on kdesdk-kio-plugins | kdesvn-kio-plugins.
  * Replace Build-Depends on libdb4.3 by libdb4.4.
  * Remove patches applied upstream:
    + 01_kofficepart_template.diff
    + 04_cppcurses_template.diff
    + 06_kicker_template.diff
    + 07_qmake_parser.diff
    + 08_fix_gcc43_ftbfs.diff
  * Add new docs files to kdevelop-doc.install.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 06 Jun 2007 09:59:46 +0200

kdevelop (4:3.4.1-0ubuntu2) gutsy; urgency=low

  * Add build-dep on libsvn-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 May 2007 09:42:30 +0000

kdevelop (4:3.4.1-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remove patches applied upstream
    - 01_kofficepart_template.diff
    - 04_cppcurses_template.diff
    - 06_kicker_template.diff
    - 07_qmake_parser.diff
    - 08_fix_gcc43_ftbfs.diff
  * Add new docs files to kdevelop-doc.install
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 18:38:37 +0100

kdevelop (4:3.4.0-3ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:57 +0100

kdevelop (4:3.4.0-3) unstable; urgency=low

  * Apply patch from Martin Michlmayr for GCC 4.3 FTBFS (Closes: #417343).
  * Add note about Persistent Class Store in README.Debian (Closes: #409364).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Apr 2007 14:41:41 +0200

kdevelop (4:3.4.0-2) unstable; urgency=low

  * Rework Suggests and Recommends:
    + Move Suggests on kdbg, a2ps, enscript and gv.
    + Add Suggests on cmake, ruby and python.
    + Make gdb (>= 6.4) a Recommends.
  * Fix kicker application template (Closes: #235867).
  * Fix qmake manager parser bug introduced in 3.4.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 11 Feb 2007 09:02:59 +0100

kdevelop (4:3.4.0-1) unstable; urgency=low

  * New upstream release.
    + Reformat code works after creating a new project (Closes: #330028).


=== debian/control ===
Source: kdevelop-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
Build-Depends: cdbs (>= 0.4.38), debhelper (>= 5), quilt, cmake, kdelibs4-trinity-dev (>= 4:3.5.10), gettext, kdelibs4-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev (>= 4:3.5.10), groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdevelop-trinity
Architecture: any
Depends: ${shlibs:Depends}, kdevelop-data-trinity (>= ${source:Version}), kdebase-trinity-bin
Replaces: kdevelop-kde3 (<< 4:3.5.13)
Breaks: kdevelop-kde3 (<< 4:3.5.13)
Recommends: kdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
Suggests: libtqtinterface-dev, kdelibs4-trinity-dev, sgmltools-lite, gettext, ark-trinity, kbabel-trinity, kiconedit-trinity, kdesdk-scripts-trinity, graphviz, kdebase-kio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, kdelibs4-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python
Description: An IDE for Unix/X11
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-trinity-doc
Section: doc
Architecture: all
Replaces: kdevelop-kde3-doc (<< 4:3.5.13)
Breaks: kdevelop-kde3-doc (<< 4:3.5.13)
Description: An IDE for Unix/X11 - documentation
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains documentation for KDevelop.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-data-trinity
Architecture: all
Replaces: kdevelop-data-kde3 (<< 4:3.5.13)
Breaks: kdevelop-data-kde3 (<< 4:3.5.13)
Description: An IDE for Unix/X11 - data
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains arch independent data for KDevelop.
 .
  Homepage: http://www.kdevelop.org/

Package: kdevelop-trinity-dev
Architecture: any
Depends: kdevelop-trinity (= ${binary:Version}), kdelibs4-trinity-dev
Replaces: kdevelop-kde3-dev (<< 4:3.5.13)
Breaks: kdevelop-kde3-dev (<< 4:3.5.13)
Description: An IDE for Unix/X11 - development files
 KDevelop is an easy to use Integrated Development Environment
 for developing C/C++ applications under X11. It features 
 project management, an advanced editor, a class browser
 and an integrated debugger.
 .
 The application wizard can generate fully functional projects
 for terminal programs and GUI programs using Qt, KDE or GNOME.
 .
 This package contains development files for KDevelop.
 .
  Homepage: http://www.kdevelop.org/

=== debian/rules ===
#!/usr/bin/make -f

# work around debian/cdbs/uploaders.mk
makebuilddir::
	[ -f debian/control.tmp ] || cp debian/control debian/control.tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := kdevelop-trinity

DEB_KDE_ENABLE_FINAL :=
DEB_INSTALL_DOCS_kdevelop = AUTHORS
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS := \
				--disable-debug \
				--enable-docbase \
				--enable-scripting \
				--enable-ada \
				--enable-bash \
				--enable-cpp \
				--enable-fortran \
				--enable-haskell \
				--enable-java \
				--enable-pascal \
				--enable-perl \
				--enable-php \
				--enable-python \
				--enable-ruby \
				--enable-sql \
				--enable-antproject \
				--enable-autoproject \
				--enable-customproject \
				--enable-genericproject \
				--enable-scriptproject \
				--enable-trollproject \
				--enable-cvs \
				--enable-vba \
				--enable-subversion \
				--with-pic \
				--with-kdelibsdoxy-dir=/opt/trinity/share/doc/tde/HTML/en/kdelibs-apidocs \
				--with-pythondir=/usr \
				--with-qtdoc-dir=/usr/share/qt3/doc/html \
				--prefix=/opt/trinity \
				--with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_BUILDTOOL_ALL="ON" \
 -DWITH_LANGUAGE_ALL="ON" \
 -DWITH_VCS_ALL="ON" \
 -DQT_DOCDIR="/usr/share/qt3/doc/html"

binary-install/kdevelop-trinity::
	mkdir -p debian/kdevelop-trinity/opt/trinity/share/pixmaps
	cp debian/kdevelop.xpm debian/kdevelop-trinity/opt/trinity/share/pixmaps
	mv debian/kdevelop-trinity/usr/share/man debian/kdevelop-trinity/opt/trinity/share/
